import request from '@/utils/request'
// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 查询专利有效-全国排名列表
export function listRzlNationalRankingInfo(query) {
  return request({
    url: '/report/rzlNationalRankingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利有效-全国排名详细
export function getRzlNationalRankingInfo(id) {
  return request({
    url: '/report/rzlNationalRankingInfo/' + id,
    method: 'get'
  })
}

// 新增专利有效-全国排名
export function addRzlNationalRankingInfo(data) {
  return request({
    url: '/report/rzlNationalRankingInfo',
    method: 'post',
    data: data
  })
}

// 修改专利有效-全国排名
export function updateRzlNationalRankingInfo(data) {
  return request({
    url: '/report/rzlNationalRankingInfo',
    method: 'put',
    data: data
  })
}

// 删除专利有效-全国排名
export function delRzlNationalRankingInfo(id) {
  return request({
    url: '/report/rzlNationalRankingInfo/' + id,
    method: 'delete'
  })
}
